FROM mariadb:10.6

COPY conf.d /etc/mysql/conf.d

# hadolint ignore=DL3005
RUN set -eux; \
    chmod 644 /etc/mysql/conf.d/*; \
    chmod 755 /etc/mysql/conf.d; \
    apt-get update; \
    apt-get upgrade -y; \
    apt-get clean; \
    rm -rf /var/lib/apt/lists/*;
